package com.bcxin.sync.dao.mapper.tenant;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bcxin.sync.dtos.response.ExamDeviceResponse;
import com.bcxin.sync.entity.tenant.DeviceRecordEntity;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * description：设备录像表
 * author：linchunpeng
 * date：2025/5/28
 */
@Repository
@Mapper
public interface DeviceRecordMapper extends BaseMapper<DeviceRecordEntity>{

    List<ExamDeviceResponse> selectExamDeviceList(Map<String, Object> paramMap);

}